Bug 202335 - bonobo-activation-server spikes CPU somewhat randomly
bonobo-activation-server spikes CPU somewhat randomly
Product: Fedora
Classification: Fedora
Component: libbonobo (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-08-12 20:09 EDT by Paul W. Frields
Modified: 2008-03-18 14:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-18 14:34:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gzipped strace output for b-a-s process (3.25 MB, application/octet-stream)
2006-08-13 11:40 EDT, Paul W. Frields
no flags Details

  None (edit)
Description Paul W. Frields 2006-08-12 20:09:50 EDT
Description of problem:
At intervals, bonobo-activation-server begins to eat all available CPU time.  It
becomes very difficult to open up desktop applications (such as gnome-terminal,
to kill the process!).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Log into desktop
2. Run some applications; it doesn't seem to hinge on which ones.
3. Observe CPU spikage, which continues unabated until I kill the b-a-s process.

Additional info:
FC5 + all current updates, including kernel-2.6.17-1.2174_FC5.  At first I
though this might be Evo related, but I wasn't even running Evo the last time
this happened (I had run "killev" several minutes before).  Once I do a "killall
bonobo-activation-server" and the new instance starts, CPU usage returns to
normal for some time.  I ran strace earlier and unfortunately forgot to capture
the log.  I believe the error reported was that there were too many open files.
 I'm sorry I don't have more info; I am currently capturing an strace so I'll
have a log if it recurs.  I saw this issue also reported by Patrick Doyle on
August 10 in the fedora-list archives.
Comment 1 Paul W. Frields 2006-08-13 11:40:43 EDT
Created attachment 134100 [details]
gzipped strace output for b-a-s process

I captured the bad behavior finally this morning in an strace.	Unfortunately,
it's about 750MB in size, but thankfully the reptition results in an attachment
that's only about 3.4 MB gzipped.  Just be warned when you uncompress it.  I
apologize for not snipping it more, but without more RAM I wasn't clear on a
good way to edit it.
Comment 2 Ray Strode [halfline] 2006-08-13 12:38:33 EDT
Thank you, that could be very useful!  I'll have a look at it after the weekend.
Comment 3 Paul W. Frields 2006-08-16 08:35:54 EDT
I think I may have found the problem; I believe the mail-notification applet may
be triggering this bug:


I started using this applet at around the same time I did a batch of updates, so
it wasn't immediately apparent to me what had changed.  (Bad scientific method,
sorry.)  When I start the applet the results of $(ls -l `/sbin/pidof
bonobo-activation-server` | wc -l) starts going up by about 4 per second.  When
I kill the mail-notification-applet, the leak stops.

Looks like this was recently fixed in HEAD; any chance you'll pick this up for
Comment 4 Ray Strode [halfline] 2006-08-16 10:04:44 EDT
Sure, I can push a test update to see if it helps.

When it hits 100% how many bonobo-activation-server processes do you see?

Do you think this is a dupe of bug 189610?
Comment 5 Paul W. Frields 2006-08-16 13:50:00 EDT
Just the one, sorry.
Comment 6 Paul W. Frields 2006-08-17 12:55:56 EDT
The libbonobo you just rolled out to testing (2.14.0-1.fc5.1) appears to have
taken care of this.  Running a watch on the previous command noted in comment #3
indicates the leak's gone.  Thanks Ray!
Comment 7 Ray Strode [halfline] 2006-08-17 13:43:39 EDT
awesome, i'll push it live in a couple of days.
Comment 8 Paul W. Frields 2006-08-17 19:21:36 EDT
Hmm, I'm not sure this is related, maybe you can duplicate?  Now Evo,
xchat-gnome, and other applications won't quit correctly.  They simply hang on
close.  I am *very* unknowledgeable about what libbonobo actually does, and it
seems like the leaking file descriptor problem is still fixed... I'll play with
it and open a new bug if I can't get any traction.
Comment 9 Ray Strode [halfline] 2006-08-17 19:42:08 EDT
does the problem go away if you downgrade?
Comment 10 Paul W. Frields 2006-08-18 15:15:26 EDT
Please ignore comment #8.  I think I was having an unrelated problem, either
dbus or a hung esd.  Everything working normally later yesterday and today. 
Thanks for your time and sorry for the bother.
Comment 11 Ray Strode [halfline] 2008-03-18 14:34:03 EDT

We no longer support Fedora Core 5 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.